> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supernormal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transcript

> Returns the transcript for a recording



## OpenAPI

````yaml get /recordings/{id}/transcript
openapi: 3.0.1
info:
  title: Supernormal API
  description: Documentation for the Supernormal API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.supernormal.com/api/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Calendar Events
    description: Operations about calendar
  - name: Recordings
    description: Operations about recordings
  - name: Current User
    description: Operations about user
paths:
  /recordings/{id}/transcript:
    get:
      tags:
        - Recordings
      summary: Get transcript
      description: Returns the transcript for a recording
      parameters:
        - name: id
          in: path
          description: The ID of the recording
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transcript response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TranscriptSegment'
      security:
        - ApiKeyAuth:
            - recordings:read
components:
  schemas:
    TranscriptSegment:
      type: object
      properties:
        start:
          description: Start time in seconds
          type: number
        end:
          description: End time in seconds
          type: number
        content:
          description: The spoken text
          type: string
        original_speaker:
          description: The speaker label as detected by the transcription engine
          type: string
        assigned_speaker_name:
          description: The speaker name after manual or automatic speaker assignment
          type: string
        author_name:
          description: >-
            The resolved speaker name (assigned name if available, otherwise
            original speaker)
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-TOKEN
      x-scopes:
        user:read: Read user information
        recordings:read: Read recordings and transcripts
        calendar_events:read: Read calendar events
        calendar_events:write: Write calendar events

````